package engine.devcmd.cmds;

import engine.Enum;
import engine.InterestManagement.WorldGrid;
import engine.PlayerAi;
import engine.devcmd.AbstractDevCmd;
import engine.math.Vector3fImmutable;
import engine.objects.*;
import engine.server.MBServerStatics;
import org.pmw.tinylog.Logger;

/**
 * @author Summary: Devcmd to reboot server
 */

public class RebootCmd extends AbstractDevCmd {

    // Instance variables

    public RebootCmd() {
        super("reboot");
    }


    // AbstractDevCmd Overridden methods

    @Override
    protected void _doCmd(PlayerCharacter pc, String[] args,
                          AbstractGameObject target) {

        //try {
        //    Runtime rt = Runtime.getRuntime();
        //    rt.exec("./mbrestart.sh");
        //} catch (java.io.IOException err) {
        //    Logger.info(err.getMessage());
        //}

        PlayerCharacter newPLayer = new PlayerCharacter("AiPlayer", "AI POWERED", (short) 5, (short) 5, (short) 5, (short) 5,
                (short) 5, Guild.getErrantGuild(), (byte) 0, (Account) null, Race.getRace(1999), BaseClass.getBaseClass(2500)
                , (byte) 1, (byte) 1,
                (byte) 1, (byte) 1, (byte) 1);

        newPLayer.runAfterLoad();
        newPLayer.setLoc(pc.loc);

        newPLayer.setObjectTypeMask(MBServerStatics.MASK_PLAYER);
        WorldGrid.addObject(newPLayer,pc.loc.x,pc.loc.z);
        //WorldGrid.updateObject(newPLayer);
        PlayerAi.addPlayer(newPLayer);

    }

    @Override
    protected String _getHelpString() {
        return "Reboot server";
    }

    @Override
    protected String _getUsageString() {
        return "./reboot";
    }

}
