package engine.mobileAI.MobBehaviours;

import engine.Enum;
import engine.objects.Mob;

public class SiegeEngine {

    public static void run(Mob engine){

        if(StaticBehaviours.EarlyExit(engine))
            return;

        if(engine.getOwner() == null)
            return;

        if(engine.combatTarget == null)
            return;

        if(engine.combatTarget.loc.distanceSquared(engine.loc) > engine.getRange() * engine.getRange())
            return;

        if(!engine.combatTarget.getObjectType().equals(Enum.GameObjectType.Building))
            return;

        StaticBehaviours.CheckForAttack(engine);
    }
}
